Skip to content
Browse files

Remove strict development dependencies.

  • Loading branch information...
1 parent d23c53c commit 040a343f3c812a2fc902eecc8be755285afd15bc @netzpirat committed May 11, 2012
Showing with 9 additions and 9 deletions.
  1. +7 −7 Gemfile
  2. +2 −2 guard-rspectacle.gemspec
View
14 Gemfile
@@ -8,10 +8,10 @@ gem 'rake'
require 'rbconfig'
if RbConfig::CONFIG['target_os'] =~ /darwin/i
- gem 'rb-fsevent', '>= 0.4.0'
- gem 'growl', '~> 1.0.3'
-end
-if RbConfig::CONFIG['target_os'] =~ /linux/i
- gem 'rb-inotify', '>= 0.8.4'
- gem 'libnotify', '~> 0.7.1'
-end
+ gem 'ruby_gntp', :require => false
+elsif RbConfig::CONFIG['target_os'] =~ /linux/i
+ gem 'libnotify', :require => false
+elsif RbConfig::CONFIG['target_os'] =~ /mswin|mingw/i
+ gem 'win32console', :require => false
+ gem 'rb-notifu', :require => false
+end
View
4 guard-rspectacle.gemspec
@@ -18,8 +18,8 @@ Gem::Specification.new do |s|
s.add_dependency 'guard', '>= 0.8'
s.add_dependency 'rspec', '>= 2.8.0'
- s.add_development_dependency 'bundler', '~> 1.0'
- s.add_development_dependency 'guard-rspec', '~> 0.6'
+ s.add_development_dependency 'bundler'
+ s.add_development_dependency 'guard-rspec'
s.add_development_dependency 'yard'
s.add_development_dependency 'kramdown'

0 comments on commit 040a343

Please sign in to comment.
Something went wrong with that request. Please try again.